SoInt32Element(3)

NAME
SoInt32Element - The SoInt32Element class is the base class for elements that simply store a 32-bit integer.

SYNOPSIS

#include <Inventor/elements/SoInt32Element.h>

Inherits SoElement.

Inherited by SoAnnoText3CharOrientElement, SoAnnoText3FontSizeHintElement, SoAnnoText3RenderPrintElement, SoComplexityTypeElement, SoDecimationTypeElement, SoDrawStyleElement, SoGLLightIdElement, SoGLShadowCullingElement, SoLightModelElement, SoLinePatternElement, SoMaterialBindingElement, SoNormalBindingElement, SoPickStyleElement, SoShadowStyleElement, SoSwitchElement, SoTextOutlineEnabledElement, SoTextureCoordinateBindingElement, SoTextureUnitElement, SoUnitsElement, and SoVertexAttributeBindingElement.

  Public Member Functions
virtual void init (SoState *state)
virtual SbBool matches (const SoElement *element) const
virtual SoElement * copyMatchInfo (void) const
virtual void print (FILE *file) const
virtual void setElt (int32_t value)

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void initClass (void)
static void set (const int index, SoState *const state, SoNode *const node, const int32_t value)
static void set (const int index, SoState *const state, const int32_t value)
static int32_t get (const int index, SoState *const state)

  Protected Member Functions
virtual ~SoInt32Element ()

  Protected Attributes
int32_t data

  Additional Inherited Members

Detailed Description

The SoInt32Element class is the base class for elements that simply store a 32-bit integer. This is the superclass of elements where the new element data replaces the old data, and where the data the element stores is a simple 32-bit integer value.

This element is like a convenient light-weight version of the SoReplacedElement. It differs from the SoReplacedElement in that the set() and get() methods are already implemented, since it is known that subclasses will still contain just a single 32-bit integer value.

See also
    SoReplacedElement, SoFloatElement, SoAccumulatedElement

Constructor & Destructor Documentation

  SoInt32Element::~SoInt32Element (void) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoInt32Element::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoInt32Element::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void SoInt32Element::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoInt32Element::init (SoState * state) [virtual]
Initializes the element to its default value. The default value for the int32 value is 0.

Reimplemented from SoElement.

Reimplemented in SoGLShadowCullingElement, SoShadowStyleElement, SoAnnoText3CharOrientElement, SoAnnoText3FontSizeHintElement, SoAnnoText3RenderPrintElement, SoComplexityTypeElement, SoDecimationTypeElement, SoDrawStyleElement, SoGLDrawStyleElement, SoGLLightIdElement, SoGLLinePatternElement, SoLightModelElement, SoLinePatternElement, SoMaterialBindingElement, SoNormalBindingElement, SoPickStyleElement, SoSwitchElement, SoTextOutlineEnabledElement, SoTextureCoordinateBindingElement, SoTextureUnitElement, SoUnitsElement, and SoVertexAttributeBindingElement.

  SbBool SoInt32Element::matches (const SoElement * element) const [virtual]
This function returns TRUE is the element matches another element (of the same class), with respect to cache validity.

If the application programmer's extension element has a matches() function, it should also have a copyMatchInfo() function.

Implements SoElement.

  SoElement * SoInt32Element::copyMatchInfo (void) const [virtual]
This function creates a copy of the element that contains enough information to enable the matches() function to work.

Used to help with scene graph traversal caching operations.

Implements SoElement.

  void SoInt32Element::print (FILE * file) const [virtual]
This function is for printing element information, and is used mostly for debugging purposes.

Reimplemented from SoElement.

  void SoInt32Element::set (const int index, SoState *const state, SoNode *const node, const int32_t value) [static]
Static method for setting the value of an element in the given state at the given stack index.

  void SoInt32Element::set (const int index, SoState *const state, const int32_t value) [static]
Static method for setting the value of an element in the given state at the given stackIndex.

  int32_t SoInt32Element::get (const int index, SoState *const state) [static]
Static method to fetch the value of the element of this type from the given state at the given stack index.

  void SoInt32Element::setElt (int32_t value) [virtual]
Set element value.

Reimplemented in SoGLLinePatternElement, SoGLDrawStyleElement, and SoGLShadowCullingElement.

Member Data Documentation

  int32_t SoInt32Element::data [protected]
The 32-bit integer value of the element.

Author

Generated automatically by Doxygen for Coin from the source code.